local frame = nil

local function okay(self)
	SAVE = SV_NEED_FOR_TRANSMOG

	local SAVE=SV_NEED_FOR_TRANSMOG
	local enable = NeedForMog_InterfaceOptionsEnable:GetChecked()
	NEEDFORTRANSMOG_Interface:setIsEnabled(enable)

	SAVE.needsEpics = NeedForMog_InterfaceOptionsNeedsEpics:GetChecked()
	SAVE.needsRares = NeedForMog_InterfaceOptionsNeedsRares:GetChecked()
	SAVE.needsUncommons = NeedForMog_InterfaceOptionsNeedsUncommons:GetChecked()

	SAVE.needInLFR = NeedForMog_InterfaceOptionsNeedsLFR:GetChecked()
	SAVE.needInNonLFR = NeedForMog_InterfaceOptionsNeedsNONLFR:GetChecked()
	SAVE.needInLFG = NeedForMog_InterfaceOptionsNeedsLFG:GetChecked()
	SAVE.needInNonLFG = NeedForMog_InterfaceOptionsNeedsNONLFG:GetChecked()

	SAVE.sendMessage = NeedForMog_InterfaceOptionsSendMessage:GetChecked()
	SAVE.message = NeedForMog_InterfaceOptionsMessage:GetText()

	SAVE.greedBoEs = NeedForMog_InterfaceOptionsGreedBoE:GetChecked()
end

local function cancel(self)

end

local function refresh(self)

	local SAVE=SV_NEED_FOR_TRANSMOG
	NeedForMog_InterfaceOptionsEnable:SetChecked(SAVE.isEnabled)

	NeedForMog_InterfaceOptionsNeedsEpics:SetChecked(SAVE.needsEpics)
	NeedForMog_InterfaceOptionsNeedsRares:SetChecked(SAVE.needsRares)
	NeedForMog_InterfaceOptionsNeedsUncommons:SetChecked(SAVE.needsUncommons)

	NeedForMog_InterfaceOptionsNeedsLFR:SetChecked(SAVE.needInLFR)
	NeedForMog_InterfaceOptionsNeedsNONLFR:SetChecked(SAVE.needInNonLFR)
	NeedForMog_InterfaceOptionsNeedsLFG:SetChecked(SAVE.needInLFG)
	NeedForMog_InterfaceOptionsNeedsNONLFG:SetChecked(SAVE.needInNonLFG)

	NeedForMog_InterfaceOptionsSendMessage:SetChecked(SAVE.sendMessage)
	NeedForMog_InterfaceOptionsMessage:SetText(SAVE.message)

	NeedForMog_InterfaceOptionsGreedBoE:SetChecked(SAVE.greedBoEs)
end

local function default(self)
	NEEDFORTRANSMOG_Interface:loadDefaults(SV_NEED_FOR_TRANSMOG)
end

local function slashHandler(msg, editbox)
	 InterfaceOptionsFrame_OpenToCategory(frame.name);
	 InterfaceOptionsFrame_OpenToCategory(frame.name);
end

function NeedForTransmogSettingsFrame_OnLoad(self)
	frame = self;
	--self.version = GetAddOnMetadata("NeedForTransmog", "Version")

	NeedForMog_InterfaceOptionsTitle:SetText(NeedForTransmogPublic.TOC["Title"].. "   " .. GetAddOnMetadata("NeedForMog", "Version"))
	
	NeedForMog_InterfaceOptionsEnableEnable_Text:SetText(NeedForTransmogPublic.L["Enabled"])


	NeedForMog_InterfaceOptionsRarity_Text:SetText(NeedForTransmogPublic.L["Rarity"])
	NeedForMog_InterfaceOptionsNeedsEpicsNeedsEpics_Text:SetText(NeedForTransmogPublic.L["Epics"])
	NeedForMog_InterfaceOptionsNeedsRaresNeedsRares_Text:SetText(NeedForTransmogPublic.L["Rares"])
	NeedForMog_InterfaceOptionsNeedsUncommonsNeedsUncommons_Text:SetText(NeedForTransmogPublic.L["Uncommons"])

	NeedForMog_InterfaceOptionsLocation_Text:SetText(NeedForTransmogPublic.L["Location"])
	NeedForMog_InterfaceOptionsNeedsLFRNeedsLFR_Text:SetText(NeedForTransmogPublic.L["LFR"])
	NeedForMog_InterfaceOptionsNeedsNONLFRNeedsNONLFR_Text:SetText(NeedForTransmogPublic.L["Raid"])
	NeedForMog_InterfaceOptionsNeedsLFGNeedsLFG_Text:SetText(NeedForTransmogPublic.L["LFG"])
	NeedForMog_InterfaceOptionsNeedsNONLFGNeedsNONLFG_Text:SetText(NeedForTransmogPublic.L["Party"])

	NeedForMog_InterfaceOptionsDescription_Text:SetText(NeedForTransmogPublic.L["Description"])

	NeedForMog_InterfaceOptionsSendMessageSendMessage_Text:SetText(NeedForTransmogPublic.L["SendMessage"])

	NeedForMog_InterfaceOptionsGreedBoEGreedBoE_Text:SetText(NeedForTransmogPublic.L["GreedBoEs"])

	--
  	-- Set the localizations
	self.name = NeedForTransmogPublic.TOC["Title"] 

	self.okay = okay

	self.cancel = cancel

	self.refresh = refresh

	self.default = default

	-- Add the panel to the Interface Options
	InterfaceOptions_AddCategory(self)

	SLASH_NEEDFORTRANSMOG1 = '/n4t'
	SLASH_NEEDFORTRANSMOG2 = '/n4m'
	SLASH_NEEDFORTRANSMOG3 = '/needformog'
	
	SlashCmdList["NEEDFORTRANSMOG"] = slashHandler
end
